<?php
#-----------------------------------------------------#
# Зц Sea mod Ganjara                                  #
# 	 Автор : Slayer  with   Ganjar                    #
#    ICQ :   566003         993770                    #
#    Вы не имеете права распространять данный скрипт. #
# 		По всем вопросам пишите в ICQ.                  #
#-----------------------------------------------------#



define('_IN_JOHNCMS', 1);
$zc=1;
$headmod = 'guest';
$textl = 'Загрузки';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");
$time = time();
$setting = mysql_query('SELECT * FROM `zc_setting`;');

while($set = mysql_fetch_assoc($setting)){
$setup[$set['name']] = $set['value'];
}

$hackmess = $setup['hackmess'];

require 'moduls/ini.php';
require 'moduls/fun.php';
//------------------------------------------------------------------------------------------
###################################################
$error = 0;
if($rights != "9") $error = 1;


if($error==1) die($setup['hackmess']);
//
$id = intval($_GET['id']);


//


mysql_query('UPDATE `loginlog` SET `time`="", `access_num`=0 WHERE `id` = 1;');
$all = mysql_fetch_row(mysql_query('SELECT COUNT(`id`) FROM `'.$setup['pref'].'loginlog`;'));
if($all[0] > 21)
{
$min = mysql_fetch_row(mysql_query('SELECT MIN(`id`) FROM `'.$setup['pref'].'loginlog` WHERE `id` > 1;'));
$query = mysql_query('DELETE FROM `'.$setup['pref'].'loginlog` WHERE `id` = '.$min[0]);
}
###################################################


if(!($_POST[papka]))
{
echo("<b><br/>Массовая переименовка файлов</b><p/>");
echo('<form action="rename.php" method="post">
Папка с файлами :<br/>(например files/!kartinki/kotiki)<br/><input type="text" name="papka" value="files/"/><p/>
Ваш сайт :<br/><input type="text" name="url" maxlength="20" size="21"/><p/>
Префикс (img_) :<br/><input type="text" name="pered" maxlength="20" size="21" value="Text_"/><p/>
<input type="submit" value="Принять!"/>
</form>
<br/><a href="apanel.php">Назад</a><br/>');
}
else
{


$dir=$_POST[papka];
if(!($panika=@opendir($dir)))
die('нет такой папки<br/><b><a href="rename.php">Назад</a><br/></b>');

function my_rename($dirname) 
{ 
   
    $s=strlen($_POST[url]);
    $s=$s+5;
    $kol=strlen($_POST[pered]);
    $nomer=$s+$kol;
    $ext_arr = array('jpeg', 'jpg', 'gif', 'txt', 'gif'); 
    $dir = opendir($dirname); 
    $count = 1; 
    while (($file = readdir($dir)) !== false) { 
     $bexa=strlen($count);
     $bumer=$nomer+$bexa-4;
        if (is_file($dirname . '/' . $file)) { 
            $info = pathinfo($dirname . '/' . $file); 
            if (in_array(strtolower($info['extension']), $ext_arr)) { 
                rename($dirname . '/' . $file, $dirname . '/' . str_pad($count, $bumer , "$_POST[pered]$_POST[url]_", STR_PAD_LEFT) . '.' . strtolower($info['extension'])); 
                $count ++ ; 
            } 
        } elseif (is_dir($dirname . '/' . $file) && $file != '.' && $file != '..')my_rename($dirname . '/' . $file); 
    } 
    closedir($dir); 
} 
if($_POST[papka])
{
$dir="$_POST[papka]";
my_rename("$dir"); 
print("Перейменовка закончена");
}}

require_once ("moduls/foot.php");
?>